## Tcl8.6.2/Tk8.6.2 Documentation > Tk Commands, version 8.6.2 > ttk_checkbutton

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

  NAME
    ttk::checkbutton — On/off widget
  SYNOPSIS
  DESCRIPTION
  STANDARD OPTIONS
    -class, undefined, undefined
    -compound, compound, Compound
    -cursor, cursor, Cursor
    -image, image, Image
    -state, state, State
    -style, style, Style
    -takefocus, takeFocus, TakeFocus
    -text, text, Text
    -textvariable, textVariable, Variable
    -underline, underline, Underline
    -width, width, Width
  WIDGET-SPECIFIC OPTIONS
    -command, command, Command
    -offvalue, offValue, OffValue
    -onvalue, onValue, OnValue
    -variable, variable, Variable
  WIDGET COMMAND
    pathname invoke
  WIDGET STATES
  STANDARD STYLES
  SEE ALSO
  KEYWORDS

### NAME

ttk::checkbutton — On/off widget

### SYNOPSIS

ttk::checkbutton pathName ?options?

### DESCRIPTION

A ttk::checkbutton widget is used to show or change a setting. It has two states, selected and deselected. The state of the checkbutton may be linked to a Tcl variable.

### STANDARD OPTIONS

-class, undefined, undefined
-compound, compound, Compound
-cursor, cursor, Cursor
-image, image, Image
-state, state, State
-style, style, Style
-takefocus, takeFocus, TakeFocus
-text, text, Text
-textvariable, textVariable, Variable
-underline, underline, Underline
-width, width, Width

### WIDGET-SPECIFIC OPTIONS

Command-Line Name: -command
Database Name: command
Database Class: Command
  A Tcl script to execute whenever the widget is invoked.

Command-Line Name: -offvalue
Database Name: offValue
Database Class: OffValue
  The value to store in the associated -variable when the widget is deselected. Defaults to 0.

Command-Line Name: -onvalue
Database Name: onValue
Database Class: OnValue
  The value to store in the associated -variable when the widget is selected. Defaults to 1.

Command-Line Name: -variable
Database Name: variable
Database Class: Variable
  The name of a global variable whose value is linked to the widget. Defaults to the widget pathname if not specified.

### WIDGET COMMAND

In addition to the standard cget, configure, identify, instate, and state commands, checkbuttons support the following additional widget commands:

pathname invoke
  Toggles between the selected and deselected states and evaluates the associated -command. If the widget is currently selected, sets the -variable to the -offvalue and deselects the widget; otherwise, sets the -variable to the -onvalue Returns the result of the -command.

### WIDGET STATES

The widget does not respond to user input if the disabled state is set. The widget sets the selected state whenever the linked -variable is set to the widget's -onvalue, and clears it otherwise. The widget sets the alternate state whenever the linked -variable is unset. (The alternate state may be used to indicate a “tri-state” or “indeterminate” selection.)

### STANDARD STYLES

Ttk::checkbutton widgets support the Toolbutton style in all standard themes, which is useful for creating widgets for toolbars.

### SEE ALSO

ttk::widget, ttk::radiobutton, checkbutton

### KEYWORDS

widget, button, toggle, check, option
Copyright © 2004 Joe English